
// 此处第二个参数vm，就是我们在页面使用的this，你可以通过vm获取vuex等操作，更多内容详见uView对拦截器的介绍部分：
// https://uviewui.com/js/http.html#%E4%BD%95%E8%B0%93%E8%AF%B7%E6%B1%82%E6%8B%A6%E6%88%AA%EF%BC%9F
const install = (Vue, vm) => {
	// 此处没有使用传入的params参数
	let api = {
        getLiveSpec(){
            return vm.$u.get("Streaming/getLiveSpec")
        },
        login({member_name,member_password}){
            return vm.$u.get("/Login/expertLogin",{member_name,member_password})
        },
        createLivesp({spec_name}){
            return vm.$u.post("Streaming/createLivesp",{spec_name})
        },
        getStoreGoodsList(){
            return vm.$u.post("article/getStoreGoodsList")
        },
        createChatRoom({chat_name,live_desc,spec,goods_id,cover_img}){
            return vm.$u.post("Streaming/createChatRoom",{chat_name,live_desc,spec,goods_id,cover_img})
        },
        liveStreamList(){
            return vm.$u.post("Streaming/liveStreamList")
        },
		// 获取订单列表
		getorderlist(){
			return vm.$u.get("/Order/orderList")
		},
		// 获取轮播图列表
		getswiper(){
			return vm.$u.get("/Order/orderList")
		},
		// 商家登陆
		shoplogin(obj){
		    return vm.$u.get("/Login/storeLogin",obj)
		},
		// 获取个人信息
		getshopinfo(obj){
		    return vm.$u.post("/member/memberInfo",obj)
		},
		// 获取粉丝列表
		myfanlist(obj){
		    return vm.$u.post("/member/myFansList",obj)
		},
		// 商家登陆
		getshopinfo(obj){
		    return vm.$u.post("/member/memberInfo",obj)
		},
		// 修改个人信息
		changeinfo(obj){
		    return vm.$u.post("/Member/changeMemberInfo",obj)
		},
		// 获取内容列表
		articlelist(obj){
		    return vm.$u.post("/Article/articleList",obj)
		},
		
    }
	// 将各个定义的接口名称，统一放进对象挂载到vm.$u.api(因为vm就是this，也即this.$u.api)下
	vm.$u.api = api;
}

export default {
	install
}
